package cn.com.origin.autocode.common.operations;

import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.kernel.TCComponentItem;
import com.teamcenter.rac.kernel.TCSession;
import com.teamcenter.rac.kernel.TCUserService;
import com.teamcenter.rac.util.MessageBox;

public class SendToIcsOperation {
	private TCUserService userService;
	private TCSession session = null;
	public String parentStr = "";

	public SendToIcsOperation() {
		session = (TCSession) AIFUtility.getCurrentApplication().getSession();
		try {
			userService = (TCUserService) session.getUserService();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public boolean sendItemToClassification(TCComponentItem item, String icsID, Object[] names, String[] values) {
		try {
			if ((icsID == null) || (icsID.length() == 0)) {
				MessageBox.post("ϴɹ,δҵӦڵ!", "ʾ", MessageBox.INFORMATION);
				return false;
			}
			if (item == null) {
				return false;
			}
			Object[] params = { item, icsID, names, values };
			Object returnValue = userService.call("sendItemToClassification", params);
			if (returnValue.equals("isAbstract")) {
				MessageBox.post("ѡڵΪ࣬͵ʧ!", "ʾ", MessageBox.INFORMATION);
			} else {
				MessageBox.post("ϴɹҷ͵ɹ!", "ʾ", MessageBox.INFORMATION);
			}
		} catch (Exception e) {
			e.printStackTrace();
			MessageBox.post("ϴɹͷ!", "ʾ", MessageBox.INFORMATION);
			return false;
		}
		return true;
	}

	public String getClassificationByName(String parentID, String childName) {
		String returnValue = "";
		try {
			Object[] params = { parentID, childName };
			Object obj = userService.call("getClassificationID", params);
			returnValue = obj.toString();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return returnValue;
	}

}
