package cn.com.origin.autocode.newitem.generatcode;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class BorderLayoutSample {

	Display display = new Display();
	Shell shell = new Shell(display);

	public BorderLayoutSample() {

		shell.setLayout(new BorderLayout());

		Label buttonNorth = new Label(shell, SWT.PUSH);
		buttonNorth.setText("North");
		buttonNorth.setLayoutData(new BorderLayout.BorderData(
				BorderLayout.NORTH));

		Composite southComposite = new Composite(shell, SWT.NONE);
		southComposite.setLayoutData(new BorderLayout.BorderData(
				BorderLayout.SOUTH));
		southComposite.setLayout(new GridLayout());

		Composite composite = new Composite(southComposite, SWT.BORDER);
		composite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
		// gridlayoutnumΪ2
		composite.setLayout(new GridLayout(2, false));

		Button btnButton = new Button(composite, SWT.PUSH);
		// òݣҶ,ˮƽ
		btnButton.setLayoutData(new GridData(SWT.RIGHT, SWT.FILL, true, false));
		btnButton.setText("1");

		Button btnButton2 = new Button(composite, SWT.PUSH);
		// òݣ,ˮƽ
		btnButton2.setLayoutData(new GridData(SWT.LEFT, SWT.FILL, true, false));
		btnButton2.setText("2");

		// Button buttonSouth = new Button(shell, SWT.PUSH);
		// buttonSouth.setText("South");
		// buttonSouth.setLayoutData(new BorderLayout.BorderData(
		// BorderLayout.SOUTH));

		Text text = new Text(shell, SWT.MULTI | SWT.BORDER | SWT.V_SCROLL
				| SWT.H_SCROLL);
		text.setText("Center");
		text.setLayoutData(new BorderLayout.BorderData(BorderLayout.CENTER));

		// shell.pack();
		shell.open();

		while (!shell.isDisposed()) {
			if (!display.readAndDispatch()) {
				display.sleep();
			}
		}
		display.dispose();
	}

	public static void main(String[] args) {
		new BorderLayoutSample();
	}
}