package cn.com.origin.autocode.newitem.generatcode;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import com.teamcenter.rac.kernel.ListOfValuesInfo;
import com.teamcenter.rac.kernel.TCComponentListOfValues;
import com.teamcenter.rac.kernel.TCException;
import com.teamcenter.rac.kernel.TCProperty;
import com.teamcenter.rac.kernel.TCPropertyDescriptor;
import com.teamcenter.soa.client.model.LovValue;

public class CNObjectPropBean {
	public static final int PROP_ITEM = 0;				//Դitem
	public static final int PROP_ITEM_MASTER = 1;		//Դitem
	public static final int PROP_ITEM_REV = 2;			//Դڰ汾
	public static final int PROP_ITEM_REV_MASTER = 3;	//Դڰ汾
	
	public int propFrom ;
	public String displayName;					//ʾ
	public String realName;						//ʵ
	public String disValue;						//ʾֵ
	public String realValue;					//ʵֵ
	public Boolean isLov;						//ǷLOV
	public Integer propType;					//
	public HashMap<String, String> lovKeyValue; //lovԼֵ
	public TCProperty tcProp;      				//TCӦ
	public List<String> keyList;				//lovʾֵб
	
	
	/**
	 * 췽
	 * @param tcProp  Զ
	 * @param propFrom Դ
	 */
	public CNObjectPropBean(TCProperty tcProp,int propFrom){
		if(tcProp!=null){
			return;
		}
		this.propFrom = propFrom;
		this.tcProp = tcProp;
		setPropInfo(tcProp);
	}
	
	/**
	 * ȡTCϢ
	 * @param tcProp
	 */
	private void setPropInfo(TCProperty tcProp){
		
		TCPropertyDescriptor propDesc =tcProp.getDescriptor();
		TCComponentListOfValues lov = tcProp.getLOV();
		
		this.displayName = propDesc.getDisplayName();
		this.realName = propDesc.getName();
		this.lovKeyValue = new HashMap<>();
		this.keyList = new ArrayList<>();
		this.propType = tcProp.getPropertyType();
		if(lov == null){
			this.isLov = false;
		}else{
			this.isLov = true;
			try {
				ListOfValuesInfo lovInfo = lov.getListOfValues();
				List<LovValue> lovValueList = lovInfo.getValues();
				for (LovValue lovV : lovValueList) {
					//lovDisValueStrList.add(lovV.getDisplayValue());
					lovKeyValue.put( lovV.getDisplayValue(),lovV.getStringValue());
					//lovValueStrList.add(lovV.getStringValue());
					keyList.add(lovV.getDisplayValue());
				}
			} catch (TCException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}
	
	/**
	 * ʾԵʾ
	 */
	@Override
	public String toString() {
		return displayName + ":";
	}
	
}
