package cn.com.origin.autocode.newitem.generatcode;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.ShellAdapter;
import org.eclipse.swt.events.ShellEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.List;
import org.eclipse.swt.widgets.Shell;

/**
 * @copyRight 㽭տƼ޹˾
 * @author  E-mail:hub@connor.net.cn
 * @date ʱ䣺2017-8-16 11:14:39
 * @version v1.0
 * @parameter
 * @since
 * @return
 */

public class MyMessageBox extends Dialog {

	public static final int OK = SWT.YES;
	public static final int CEL = SWT.NO;
	private int result = 1;
	private Shell shell;
	// private Tree lovTree;
	// private List messageList;
	private String[] msgList;
	private String title;

	/**
	 * Create the dialog.
	 * 
	 * @param parent
	 * @param style
	 */
	public MyMessageBox(Shell parent, int style, String title, String[] msgList) {
		// super(parent);
		super(parent, style);
		this.title = title;
		this.msgList = msgList;

	}

	/**
	 * Open the dialog.
	 * 
	 * @return the result
	 */
	public int open() {
		createContents();
		shell.open();
		shell.layout();
		Display display = getParent().getDisplay();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch()) {
				display.sleep();
			}
		}
		return result;
	}

	// private void initLovTree(TreeItem treeItem, TCComponentListOfValues lov)
	// {

	// }

	/**
	 * Create contents of the dialog.
	 */
	private void createContents() {
		shell = new Shell(getParent(), getStyle());
		// shell = new Shell(getParent());
		shell.setSize(610, 215);

		shell.setLayout(new BorderLayout());

		// shell.setBounds(p.x, p.y, 330, 270);
		// OS.SetWindowPos(shell.handle, OS.HWND_TOPMOST, p.x, p.y, 330, 270,
		// SWT.NULL);
		toCenter(shell);
		shell.setText(title);
		Label label1 = new Label(shell, SWT.PUSH);
		label1.setText("¶ͬķ,Ƿ?");
		label1.setLayoutData(new BorderLayout.BorderData(BorderLayout.NORTH));

		List messageList = new List(shell, SWT.BORDER | SWT.V_SCROLL);
		// messageList.setBounds(10, 30, 585, 90);
		messageList.setItems(msgList);
		messageList.setLayoutData(new BorderLayout.BorderData(
				BorderLayout.CENTER));
		// initTree();s
		// initLovTree(lovTree, this.lov);

		Composite southComposite = new Composite(shell, SWT.NO);
		southComposite.setLayoutData(new BorderLayout.BorderData(
				BorderLayout.SOUTH));
		southComposite.setLayout(new GridLayout());

		Composite composite = new Composite(southComposite, SWT.BORDER);
		composite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
		// gridlayoutnumΪ2
		composite.setLayout(new GridLayout(2, false));

		Button btnNewButton = new Button(composite, SWT.NONE);
		btnNewButton.setLayoutData(new GridData(SWT.RIGHT, SWT.FILL, true,
				false));
		btnNewButton.addSelectionListener(new SelectionAdapter() {
			@Override
			public void widgetSelected(SelectionEvent e) {

				result = MyMessageBox.OK;
				shell.dispose();
			}
		});
		// Label label2 = new Label(shell, SWT.NONE);
		// label2.setText("Ƿ?");
		// label2.setBounds(10, 125, 585, 20);
		btnNewButton.setSize(80, 27);
		btnNewButton.setText("          ");

		Button btnNewButton_1 = new Button(composite, SWT.NONE);
		btnNewButton_1.setLayoutData(new GridData(SWT.LEFT, SWT.FILL, true,
				false));
		btnNewButton_1.addSelectionListener(new SelectionAdapter() {
			@Override
			public void widgetSelected(SelectionEvent e) {
				result = MyMessageBox.CEL;
				shell.dispose();
			}
		});
		btnNewButton_1.setSize(80, 27);
		btnNewButton_1.setText("          ");

		shell.addShellListener(new ShellAdapter() {
			public void shellClosed(final ShellEvent e) {
				boolean b = MessageDialog.openConfirm(shell, "رʾ", "Ƿ");
				if (b == true) {

					e.doit = true;
					result = MyMessageBox.OK;

				} else {
					e.doit = true;
					result = MyMessageBox.CEL;
				}
			}
		});

	}

	public void toCenter(Shell shell) {

		int width = shell.getMonitor().getClientArea().width;
		int height = shell.getMonitor().getClientArea().height;
		int x = shell.getSize().x;
		int y = shell.getSize().y;
		if (x > width) {
			shell.getSize().x = width;
		}
		if (y > height) {
			shell.getSize().y = height;
		}
		shell.setLocation((width - x) / 2, (height - y) / 2);
	}

}
